CFLAGS=-Wall -O3 -I ../common -g

%.o: %.c
	@m68k-nedap-coff-gcc $(CFLAGS) -m68000 -c $< -o $@

%.obj: %.c
	@gcc -DTEST $(CFLAGS) -c $< -o $@

%.s: %.c
	@m68k-nedap-coff-gcc -fverbose-asm $(CFLAGS) -m68000 -S $< -o $@

%.o: %.S
	@m68k-nedap-coff-gcc $(CFLAGS) -m68000 -c $< -o $@

%.bin: %.coff
	@m68k-nedap-coff-objcopy -O binary -S $< $@

