/* Default linker script, for normal executables */
OUTPUT_FORMAT("coff-m68k")
SEARCH_DIR("/usr/local/m68k-nedap-coff/lib");
PROVIDE (__stack = 0x00408000);
PROVIDE (bc000c = 0x00bc000c);
SECTIONS
{
  .reset 0 : {
    *(.reset)
    ereset = .;
  }
  .text  0x400 : {
    *(.text)
     . = ALIGN(4);
     etext  =  .;
     __CTOR_LIST__ = .;
     LONG((__CTOR_END__ - __CTOR_LIST__) / 4 - 2)
     *(.ctors)
     LONG(0)
     __CTOR_END__ = .;
     __DTOR_LIST__ = .;
     LONG((__DTOR_END__ - __DTOR_LIST__) / 4 - 2)
     *(.dtors)
     LONG(0)
     __DTOR_END__ = .;
  }
  .data : {
    *(.data)

    *(.gcc_exc*)
    __EH_FRAME_BEGIN__ = . ;
    *(.eh_fram*)
    __EH_FRAME_END__ = . ;
    LONG(0);

    __data_end__ = . ;
    edata  =  .;
  }
  .bss 0x00404000 : {
     __bss_start = .;
    *(.bss)
    *(COMMON)
      end = ALIGN(0x8);
      _end = ALIGN(0x8);
  }
  .stab  0 (NOLOAD) :
  {
    [ .stab ]
  }
  .stabstr  0 (NOLOAD) :
  {
    [ .stabstr ]
  }
}
