#ifndef __UART_H__
#define __UART_H__

// uart 0 = modem
// uart 1 = pc
typedef char uartid_t;
void init_uart(uartid_t id);

char read_uart(uartid_t id/*, int timeout*/);
int read_uart_noblock(uartid_t id, char *pchr);
void readline_uart(uartid_t id, char *line, int size);

void write_uart(uartid_t id, char c);
void writestring_uart(uartid_t id, char *s);

void uprintf(char *fmt, ...);
#endif
