#include "keyboard.h"
#include "display.h"
#include <stdio.h>

#define FILLMODE_5

void main() {
  ddram_t displaystring;
  ddram_t displaystring2;
  cgram_t displaydats;
  unsigned int phase = 0,i;

  sprintf( displaystring, "CDU - Abkacker am Werke" );
  sprintf( displaystring2, "Gr%cne - Ooch nicht besser", 3 );

  while(1) {
    watchdog();

    phase++; 

#ifdef FILLMODE_1
    for( i=0; i<41; ++i ) {
      ((char*)displaystring)[i]=i < (((phase/41)%41)/10)*10 ? 'A' : ' ';
    }

    load_ddram( 8, 0, 0, displaystring, 40);
    load_ddram( 8, 1, 0, displaystring, 40);
    load_ddram(16, 0, 0, displaystring, 40);
    load_ddram(16, 1, 0, displaystring, 40);
#endif

#ifdef FILLMODE_2
    memset( displaystring, '#', 40);
    memset( displaystring2, ' ', 40);

#define LLL(X) ( (X < (phase/200)%5) && (phase/100 & 1))

    load_ddram( 8, 0, 0, LLL(0) ? displaystring : displaystring2, 40);
    load_ddram( 8, 1, 0, LLL(1) ? displaystring : displaystring2, 40);
    load_ddram(16, 0, 0, LLL(2) ? displaystring : displaystring2, 40);
    load_ddram(16, 1, 0, LLL(3) ? displaystring : displaystring2, 40);

#endif

#ifdef FILLMODE_3
    memset( displaystring, ' ', 40);
    memset( displaystring2, ' ', 40);
    i = ((phase/200)%4);
    memcpy( ((unsigned char*)displaystring)+10*i, "##########", 10);

#define LLL(X) ( X==i)

    load_ddram( 8, 0, 0, LLL(0) ? displaystring : displaystring2, 40);
    load_ddram( 8, 1, 0, LLL(1) ? displaystring : displaystring2, 40);
    load_ddram(16, 0, 0, LLL(2) ? displaystring : displaystring2, 40);
    load_ddram(16, 1, 0, LLL(3) ? displaystring : displaystring2, 40);

#endif

#ifdef FILLMODE_4
    memset( displaystring, ' ', 40);
    memset( displaystring2, ' ', 40);
    i = ((phase/200)%4);
    memcpy( ((unsigned char*)displaystring)+10*i, "##########", 10);

#define LLL(X) ( 1)

    load_ddram( 8, 0, 0, LLL(0) ? displaystring : displaystring2, 40);
    load_ddram( 8, 1, 0, LLL(1) ? displaystring : displaystring2, 40);
    load_ddram(16, 0, 0, LLL(2) ? displaystring : displaystring2, 40);
    load_ddram(16, 1, 0, LLL(3) ? displaystring : displaystring2, 40);

#endif

#ifdef FILLMODE_5
    memset( displaystring, ' ', 40);
    memcpy( ((unsigned char*)displaystring)+20*((phase/200)%2), ((phase/200)%2) ? "...................." : 
"@@@@@@@@@@@@@@@@@@@@", 20);

    load_ddram( 8, 0, 0, displaystring, 40);
    load_ddram( 8, 1, 0, displaystring, 40);
    load_ddram(16, 0, 0, displaystring, 40);
    load_ddram(16, 1, 0, displaystring, 40);

#endif
    

  }
}
