#include "keyboard.h"
#include "display.h"
#include <stdio.h>

#include "fig.c"

extern unsigned char g_ol, g_il, g_bit;

void main() {
  ddram_t displaystring;
  cgram_t displaydats;
  int key = 0, i,j,k,l;

  for( i=0; i<40; ++i) ((unsigned char*)displaystring)[i] = i&3;
  load_ddram( 8, 0, 0, displaystring, 40);
  for( i=0; i<40; ++i) ((unsigned char*)displaystring)[i] = 4+(i&3);
  load_ddram( 8, 1, 0, displaystring, 40);
  for( i=0; i<40; ++i) ((unsigned char*)displaystring)[i] = i&3;
  load_ddram(16, 0, 0, displaystring, 40);
  for( i=0; i<40; ++i) ((unsigned char*)displaystring)[i] = 4+(i&3);
  load_ddram(16, 1, 0, displaystring, 40);

  while(1) {
    watchdog();
//    key = read_from_keyboard();
//    sprintf((char*)displaystring, "Keycode: %08x %02x:%02x:%02x        ", key, g_ol, g_il, g_bit );
//    load_ddram(8, 0, 0, displaystring, -1);

  for( i=0;i<2; ++i)
    for( j=0; j<4; ++j)
      for( k=0; k<8; ++k) {
        char d=0;
        for( l=0; l<5; ++l)
          d = (d<<1) | rook[(key+l+6*j)%24+6*(4*(k+8*i))];

        ((unsigned char*)displaydats)[k+8*j+32*i] = d;
      }

  load_cgram(8,0,displaydats,64);

  for( i=0;i<2; ++i)
    for( j=0; j<4; ++j)
      for( k=0; k<8; ++k) {
        char d=0;
        for( l=0; l<5; ++l)
          d = (d<<1) | rook[(key+l+6*j)%24+384+6*(4*(k+8*i))];

        ((unsigned char*)displaydats)[k+8*j+32*i] = d;
      }
  load_cgram(16,0,displaydats,64);
  key++;


  *((unsigned char*)0xbffffd) = '\n';

  }
}
