#include "uart.h"
#include "display.h"
#include <stdio.h>
#include <stdarg.h>

void dispprintf(char *fmt, ...)
{
    char msg[255];
    va_list ap;

    va_start(ap, fmt);
    vsprintf(msg, fmt, ap);
    va_end(ap);
    load_ddram(4, 0, 0, msg, -1);
}

int main() 
{
    int i;
    char c;
    init_display(4);
    load_ddram(4,0,0, "init04 .....",-1);

    // this is the 'modem' connector  - the one near the edge of the board
//  init_uart(0); writestring_uart(0, "uart0\n");
//  for (i=0 ; i<1000 ; i++) 
//      write_uart(0, '0');
/*
    init_uart(0);
    init_uart(1);
    long t0= timer_value;
    while ((unsigned)(timer_value-t0) < 10000) {

        *(volatile unsigned char*)0xfc0005 = 0x30;
        dispprintf("%08lx mdm:%02x %02x  pc:%02x %02x", 
                timer_value,
                *(volatile unsigned char*)0xfc0001, *(volatile unsigned char*)0xfc0003, 
                *(volatile unsigned char*)0xfc0005, *(volatile unsigned char*)0xfc0007);
    }
*/
    // this is the 'pc' connector 
    init_uart(1); writestring_uart(1, "uart1\n");
    for (i=0 ; i<1000 ; i++) {
        write_uart(1, '1');
    }

    load_ddram(4,1,10, "1111",-1);
    int i0=0;
    int i1=0;
    while(1) {
        if (!read_uart_noblock(0, &c))
            load_ddram(4, 0, (i0++)%40, &c, 1);
        if (!read_uart_noblock(1, &c))
            load_ddram(4, 1, (i1++)%40, &c, 1);
    }
    return 0;
}

