.macro dup text, count
.long \text
.if   \count
dup \text,"(\count-1)"
.endif
.endm

.section .reset
    .long __stack
    .long entrypoint
    dup irq_handler, 25
    .long irq4_printer
    .long irq5_uart
    .long irq6_timer
    .long irq_handler

.bss
.globl reset_value
reset_value:
    .long 0

.globl timer_value
timer_value:
    .long 0

.text

.globl reset_entrypoint
reset_entrypoint:
    lea 0x408000, %sp
    jsr entrypoint
halt:
    jmp halt

.globl irq_handler
irq_handler:
    rte

.globl irq4_printer
irq4_printer:
    rte

.globl irq5_uart
irq5_uart:
    rte

.globl irq6_timer
irq6_timer:
    addl #1, timer_value
    moveb #128, 0xBFFFF3
    moveb #0, 0xBFFFF3
    rte

