#include "uart.h"
#include "display.h"
#include "io_funcs.h"
#include "misc.h"
#include "compat.h"
#include <string.h>

int get_time () {
  return timer_value;
};

void _exit (int status) {
  while(1) {}
};

int isatty(int desc) {
  if (desc < 3)
    return 1;
  else
    return 0;
};

int getpid () {
  return 0;
};

int kill (int pid, int sig) {
  return 0;
};

void* __brk;

void* sbrk (int increment) {
  __brk += increment;
  return __brk;
};

int close (int fd) {
  return -1;
};

int read (int fd, char* buf, int count) {
  int i;

//  if (fd == stdin) {
    for (i=0;i<count;i++) {
      buf[i] = read_uart(1);
    }
    return count;
//  } else {
//    return -1;
//  }
};

int write (int fd, const char* buf, int count) {
  int i;

//  if ((fd == stdout) || (fd == stderr)) {
    for (i=0;i<count;i++) {
      write_uart(1, buf[i]);
    }
    return count;
//  } else {
//    return -1;
//  }
};

int fstat (int filedes, void* buf) {
  return -1;
};

int lseek (int fd, int offset, int whence) {
  return -1;
};

extern int _end;

extern int __bss_start;

void entrypoint() {
  memset(&__bss_start, 0, &_end - &__bss_start); 
  __brk = &_end;
  init_nedap();
  init_display(4);
  init_display(8);
  init_display(16);
  init_uart(1);
  backlight(1);

  main();
};


